
#ifndef MENUBOX_H
#define MENUBOX_H

class class_menubox
{
 private:
  int x;
  int y;
  int size_x;
  int size_y;
  int nb_items;
  char * title;
  int selection_index_item;
  void add_items_command_player(int player_index);
  void get_command_player(int player_index,int index_item);
  void writetext(int relative_x,int relative_y,char text[]);
  void choose_code(int &pos_x_code,char *code);

  BITMAP * background;

  void add_item(char * text);
  void print_items(void);
  void choose(void);
  void execute(int index_item);
  void refresh(void);
  void create(void);

 public:
  class_menubox(int x_,int y_,int size_x_,int size_y_,char title[]);
};

extern void init_class_menubox(void);

#endif /*MENUBOX_H*/
