
#ifndef GLOBAL_H
#define GLOBAL_H

/*initialisation*/
extern void init_all(void);

/*menuboxes*/
extern void open_menubox(int x,int y,int size_x,int size_y,char * title);

/*players*/
extern void create_player(void);
extern void players_play(void);
extern int are_all_players_dead(void);
extern void set_good_weapon_players(int level_index);
/*ships*/
extern void create_ship(int type_of_ship);
extern void ships_play(void);
extern int is_there_a_ship(void);

/*projectiles*/
extern void create_proj(int type_of_proj,int x,int y,float mvt_x,float mvt_y,int is_baddy);
extern void projs_play(void);
extern void cause_collision_proj(void);

/*clear background*/
extern void sprites_clear_background(void);

/*explosions*/
extern void create_explosion(int x,int y,int size,int damages);
extern void explosions_play(void);
extern void verify_collision_explosion(int x,int y, BITMAP * image,int damages);

/*autolock*/
extern int get_a_cible(int is_proj_baddy);
extern double get_the_angle_to_cible(int x_proj,int y_proj,int index_cible,int is_proj_baddy);

/*bonus*/
void create_bonus(int type_of_bonus,int x,int y);
void bonus_play(void);
int verify_collision_bonus(int x,int y, BITMAP * image,int type_of_bonus);
void global_use_inventory_bonus(int index_player);

/*others*/
void create_other(int type_of_other);
void others_play(void);


/*permutation*/
int get_permutation(int player_index);
void permute(void);

/*delete all and restart menu*/
extern void delete_all_game(void);

/*cinematic end*/
extern void cinematic_end(void);

#endif /*GLOBAL_H*/
