
#include "allegro.h"
#include "../common.h"
#include "../global.h"
#include "bonus.h"

#define NB_TYPES_BONUS 2
#define TIME_BEFORE_DELETE 100

static BITMAP * bitmap_bonus[NB_TYPES_BONUS];

void
init_class_bonus(void)
{
  bitmap_bonus[0] = load_bitmap("data/medipack.bmp",NULL);
  bitmap_bonus[1] = load_bitmap("data/atomik.bmp",NULL);
}


class_bonus::class_bonus(int type_of_bonus_,int x_,int y_)
{
  x=x_ - bitmap_bonus[type_of_bonus_]->w /2;
  y=y_ - bitmap_bonus[type_of_bonus_]->h /2;
  type_of_bonus=type_of_bonus_;
  life=1;
  time_before_delete=TIME_BEFORE_DELETE;
}


void
class_bonus::clear_back(void)
{
  blit(screen2,get_good_screen(),x,y,x,y,bitmap_bonus[type_of_bonus]->w,bitmap_bonus[type_of_bonus]->h);
}


void
class_bonus::play(void)
{
  time_before_delete--;
  if(time_before_delete<0)
    life=0;
  draw_sprite(get_good_screen(),bitmap_bonus[type_of_bonus],x,y);

  if (verify_collision_bonus(x,y,bitmap_bonus[type_of_bonus],type_of_bonus))
    life=0;
}
