
#include "allegro.h"
#include "../common.h"
#include "../global.h"
#include "other.h"

#include <stdio.h>

#define NB_TYPES_OTHERS 2
#define TIME_BEFORE_DELETE 400

static BITMAP * bitmap_other[NB_TYPES_OTHERS-1];

static const int OTHER_SPEED_X[]={0,0};
static const int OTHER_SPEED_Y[]={3,4};

void
init_class_other(void)
{
    bitmap_other[0] = load_bitmap("data/cloud1.bmp",NULL);
    bitmap_other[1] = load_bitmap("data/cloud2.bmp",NULL);
}


class_other::class_other(int type_of_other_)
{
  x=random_number(SCREEN_W) - bitmap_other[type_of_other_]->w/2;
  y=-random_number(50) - bitmap_other[type_of_other_]->h;
  type_of_other=type_of_other_;
  life=1;
  time_before_delete=TIME_BEFORE_DELETE;
}


void
class_other::clear_back(void)
{
  blit(screen2,get_good_screen(),x,y,x,y,bitmap_other[type_of_other]->w,bitmap_other[type_of_other]->h);
}


void
class_other::play(void)
{
  x+=OTHER_SPEED_X[type_of_other];
  y+=OTHER_SPEED_Y[type_of_other];
  
  if (x+bitmap_other[type_of_other]->w<-400) life=0;
  if (y+bitmap_other[type_of_other]->h<-400) life=0;
  if (x>SCREEN_W+400) life=0;
  if (y>SCREEN_H+400) life=0;

  time_before_delete--;
  if(time_before_delete<0)
    life=0;
  
  draw_sprite(get_good_screen(),bitmap_other[type_of_other],x,y);
}


